Unit QTSCR_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc;

procedure QTSCR(var RINT :Array of Real; H :Real;
                var F :Array of Real; N :Integer);

implementation

procedure QTSCR(var RINT :Array of Real; H :Real;
                var F :Array of Real; N :Integer);
var
I :Integer;
F12 :Real;
label
_1;
begin
RINT[0] := 0.0;
F12 := (5.0/16.0)*F[0]+(15.0/16.0)*F[1]-(5.0/16.0)*F[2]+(1.0/
    16.0)*F[3];
RINT[1] := (F[0]+4.0*F12+F[1])*H/6.0;
for I:=3 to N do
 begin
_1:
  RINT[I-1] := RINT[I-3]+(F[I-3]+F[I-2]*4.0+F[I-1])*H/3.0;
 end;
end;

end.
